Subject: bug#39185: [PATCH] Don't include section "Recent messages" in bug reports

From: Drew Adams <[email-masked]>
Date: Sun, 19 Jan 2020 11:20:32 -0800 (PST)

> >> Is it?  Then perhaps the name of the system on which Emacs was
> built,
> >> and the configuration used to build it are also private?
> >
> > It's possible, but it sounds unlikely.  That it's private which
> servers
> > you're talking to is pretty likely, though.
> 
> In the messages buffer, file names, buffer names and email addresses
> are some of the concerning examples of private data I've seen.  We
> also have to consider that we have no control over what kind of
> information third party or user code puts there.

Yes.

And as I said, the wrong approach, I think, is for
Emacs dev to make a once-and-for-all, fits-all-sizes
judgment as to what is or could be sensitive.

Instead, we should give users themselves a simple
way to express their own preferences.  Let them
(easily) decide what is or could be sensitive.  Let
them decide what information they want to send.

And let them do that easily, (1) by configuring the
reporting profile they want by default, and (2) by
giving them commands/keys to add or remove particular
parts.